# -*- shell-script -*-
#
# Author:       James Brister <brister@vix.com> -- berkeley-unix --
# Start Date:   Thu, 24 Oct 1996 14:44:33 +0200
# Project:      INN
# File:         innshellvars.csh
# RCSId:        $Id: innshellvars.csh.in,v 1.15 1998/06/25 06:09:03 kondou Exp $
# Description:  csh version of innshellvars. Hopefully nobody writes 
#               scripts to use this... 
#
#               The contents should mirror innshellvars (the bourne-shell
#               version). 

eval `/usr/lib/news/bin/innconfval -c`

set inn_newshome = ${inn_pathnews}
set inn_spoolbase = ${inn_pathspool}
set inn_most_logs = ${inn_pathlog}

set inn_errlog = ${inn_most_logs}/errlog
set inn_log = ${inn_most_logs}/news

set inn_newsetc = ${inn_pathetc}
set inn_newslib = ${inn_pathlib}
set inn_newsbin = ${inn_pathbin}
set inn_locks = ${inn_pathrun}
set inn_innddir = ${inn_pathrun}

set inn_spool = ${inn_patharticles}
set inn_overviewdir = ${inn_pathoverview}
set inn_batch = ${inn_pathoutgoing}
set inn_archivedir = ${inn_patharchive}
set inn_badnews = ${inn_pathincoming}/bad
set inn_spoolnews = ${inn_pathincoming}
set inn_incoming = ${inn_pathincoming}

set inn_active = ${inn_pathdb}/active
set inn_activetimes = ${inn_pathdb}/active.times
set inn_ctlfile = ${inn_newsetc}/control.ctl
set inn_ctlwatch = ${inn_newsetc}/innwatch.ctl
set inn_history = ${inn_pathdb}/history
set inn_newactive = ${inn_pathdb}/active.tmp
set inn_localgroups = ${inn_pathdb}/localgroups
set inn_newsfeeds = ${inn_newsetc}/newsfeeds
set inn_newsgroups = ${inn_pathdb}/newsgroups
set inn_oldactive = ${inn_pathdb}/active.old
set inn_path_motd = ${inn_newsetc}/motd.news
set inn_path_storagectl = ${inn_newsetc}/storage.ctl
set inn_path_overviewctl = ${inn_newsetc}/overview.ctl
set inn_expirectl = ${inn_newsetc}/expire.ctl

set inn_path_tcl_startup = ${inn_pathfilter}/startup.tcl
set inn_path_tcl_filter = ${inn_pathfilter}/filter.tcl
set inn_controlprogs = ${inn_pathcontrol}
set inn_inews = ${inn_newsbin}/inews
set inn_innconfval = ${inn_newsbin}/innconfval
set inn_innd = ${inn_newsbin}/innd
set inn_inndstart = ${inn_newsbin}/inndstart
set inn_innwatch = ${inn_newsbin}/innwatch
set inn_rnews = ${inn_newsbin}/rnews
set inn_perl_startup_innd = ${inn_pathfilter}/startup_innd.pl
set inn_perl_filter_innd = ${inn_pathfilter}/filter_innd.pl
set inn_perl_filter_nnrpd = ${inn_pathfilter}/filter_nnrpd.pl

set inn_daily = ${inn_locks}/LOCK.news.daily

set inn_newscontrol = ${inn_innddir}/control
set inn_nntpconnect = ${inn_innddir}/nntpin
set inn_serverpid = ${inn_innddir}/innd.pid
set inn_innwstatus = ${inn_innddir}/innwatch.status
set inn_watchpid = ${inn_innddir}/innwatch.pid

set inn_awk	= /bin/awk
set inn_sed	= /bin/sed
set inn_inndf	= "/bin/df"
set inn_egrep	= /bin/egrep
set inn_perl	= /usr/bin/perl
set inn_pgp	= no-pgp-found-during-configure
set inn_sort	= /bin/sort
set inn_compress = /usr/bin/compress
set inn_log_compress = /bin/gzip
set inn_z = .gz

set inn_tempsock = `basename ${inn_innddir}/ctlinndXXXXXX | ${inn_sed} -e 's/XXXXXX$/*/'`
set inn_tempsockdir = `echo ${inn_innddir}/ctlinndXXXXXX | ${inn_sed} -e 's@/[^/]*$@@'`

##  =()<set inn_cycles = @<LOG_CYCLES>@>()=
set inn_cycles = 3

##  =()<set inn_have_uustat = @<HAVE_UUSTAT>@>()=
set inn_have_uustat = DO

##  =()<set inn_mail_badcontrols = @<MAIL_BADCONTROLS>@>()=
set inn_mail_badcontrols = DO

set inn_newsmaster = news
set inn_newsuser = news

##  =()<set inn_sleeptime = @<INNWATCH_SLEEPTIME>@>()=
set inn_sleeptime = 600

##  =()<set inn_want_pgpverify = @<WANT_PGPVERIFY>@>()=
set inn_want_pgpverify = DO

##  =()<set inn_perl_support = @<PERL_SUPPORT>@>()=
set inn_perl_support = DO

##  =()<set inn_tcl_support = @<TCL_SUPPORT>@>()=
set inn_tcl_support = DONT

setenv TMPDIR ${inn_pathtemp}


set inn_spooltemp = ${inn_pathtemp}

setenv NEWSLBIN ${inn_newshome}/local

umask 02

set inn_path = ( ${NEWSLBIN} ${inn_newsbin} $path /bin /usr/bin /usr/ucb )
